Skip to main content
GET
Get list of all data points

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Query Parameters

offset
integer

The number of documents to skip before starting to collect the result set.

Required range: x >= 0
Example:

0

limit
integer

The numbers of results to return.

Required range: 1 <= x <= 100
Example:

20

organization
string

Filter by organization. Uniquely identify an organization.

Example:

"mEFayXdO"

include_public
boolean

Allows you to include public data points in the response when you're filtering by organization.

extractor
string

Filter by extractor. Uniquely identify an extractor.

Example:

"resume"

slug
string

Filter by slug.

description
string

Filter by description.

annotation_content_type
string

Filter by annotation content type, e.g. text, integer, float, date, etc.

identifier
string[]

Filter by specific identifiers.

Uniquely identify a data point.

Response

All matching data points.

identifier
string
required

Uniquely identify a data point.

Example:

"XprEvgai"

name
string
required

Name of the data point.

slug
string
required

A camelCase string that will be used as the key in the API response.

annotationContentType
enum<string>
required

The different data types of annotations

Available options:
text,
integer,
float,
decimal,
date,
datetime,
daterange,
boolean,
enum,
location,
phonenumber,
json,
table,
expectedremuneration,
jobtitle,
language,
skill,
yearsexperience,
group,
table_deprecated,
url,
image,
docclf
organization
object | null
required
extractor
string | null
required

Uniquely identify an extractor.

Example:

"resume"

description
string | null
multiple
boolean
noRect
boolean
parent
string | null

The identifier of the parent data point if applicable.

Example:

"DdCbJhhx"

children
array
availableDataSources
object[]
mappingDataSource
string | null

If populated, the model will learn to predict this field using the data source, rather than relying on fuzzy string matching.

Example:

"mEFayXdO"

manualEntry
boolean

If true, the model will not be used to predict this data point. Instead, the user will be able to manually enter the value in the validation tool.